## About Parse-Edi

This parser is an Electronic Data Interchange (EDI) parser developed at Vanderbilt University Medical Center as such for now it will only parse 835 and 837 documents given a configuration.

This code is intended to process and parse healthcare x12 837 (claims) and x12 835 (remittances) into human readable JSON format.
The claims/outpout can be forwarded to a NoSQL Data store like couchdb and mongodb


## Installation

    pip install git+https://hiplab.mc.vanderbilt.edu/git/steve/parse-edi.git

## Credits

* Steve L. Nyemba <steve.l.nyemba@vanderbilt.edu>
* Khanhly Nguyen <khanhly.t.nguyen@gmail.com>



## Usage 

**Commandline :**

        python edi --config <path> --folder <path> --store <[mongo|disk|couch]> --<db|path]> <id|path>

        with :
            --scope     <claims|remits>
            --config    path of the x12 to be parsed i.e it could be 835, or 837
            --folder    location of the files (they must be decompressed)
            --store     data store could be disk, mongodb, couchdb
            --db|path    name of the folder to store the output or the database name
    
**Embedded in Code   :**

Use parse-edi within your code base as a library

    import edi.parser
    import json
    import os
    ROOT = '/mnt/data/837'
    files = os.listdir(ROOT)
    file = os.sep.join([ROOT,files[0]])
    conf = json.loads(open('/mnt/data/config/837.json').read())
    info = edi.parser.get_content(file,conf)
